> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspace chat threads



## OpenAPI

````yaml /openapi.json get /api/v1/threads
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/threads:
    get:
      summary: List workspace chat threads
      operationId: listChatThreads
      parameters:
        - name: workspace
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatThreadList'
      security:
        - cookieAuth: []
        - bearerAuth:
            - chat:read
components:
  schemas:
    ChatThreadList:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          workspace:
            type: string
          title:
            type: string
          createdAt:
            type: string
          updatedAt:
            type: string
          messageCount:
            type: integer
            minimum: 0
          pinned:
            type: boolean
        required:
          - id
          - workspace
          - title
          - createdAt
          - updatedAt
          - messageCount
          - pinned
        additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````